# DataExchange
TKSTEPBase
StepShape

# StepShape_DimensionalCharacteristicRepresentation Class Reference

Representation of STEP entity DimensionalCharacteristicRepresentation
.

`#include <StepShape_DimensionalCharacteristicRepresentation.hxx>`

## Public Member Functions

Standard_EXPORT | StepShape_DimensionalCharacteristicRepresentation ()
| Empty constructor .
Standard_EXPORT void | Init (const StepShape_DimensionalCharacteristic &aDimension, const Handle(StepShape_ShapeDimensionRepresentation)&aRepresentation)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepShape_DimensionalCharacteristic | Dimension () const
| Returns field Dimension .
Standard_EXPORT void | SetDimension (const StepShape_DimensionalCharacteristic &Dimension)
| Set field Dimension .
Standard_EXPORT Handle_StepShape_ShapeDimensionRepresentation | Representation () const
| Returns field Representation .
Standard_EXPORT void | SetRepresentation (const Handle(StepShape_ShapeDimensionRepresentation)&Representation)
| Set field Representation .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepShape_DimensionalCharacteristic | theDimension
Handle_StepShape_ShapeDimensionRepresentation | theRepresentation

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_DimensionalCharacteristicRepresentation::StepShape_DimensionalCharacteristicRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepShape_DimensionalCharacteristic StepShape_DimensionalCharacteristicRepresentation::Dimension | ( |  | ) | const

Standard_EXPORT const StepShape_DimensionalCharacteristicRepresentation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepShape_DimensionalCharacteristicRepresentation::Init | ( | const StepShape_DimensionalCharacteristic & | aDimension,
|  | const Handle(StepShape_ShapeDimensionRepresentation)& | aRepresentation
| ) |

Standard_EXPORT Handle_StepShape_ShapeDimensionRepresentation StepShape_DimensionalCharacteristicRepresentation::Representation | ( |  | ) | const

Standard_EXPORT void StepShape_DimensionalCharacteristicRepresentation::SetDimension | ( | const StepShape_DimensionalCharacteristic & | Dimension | ) |

Standard_EXPORT void StepShape_DimensionalCharacteristicRepresentation::SetRepresentation | ( | const Handle(StepShape_ShapeDimensionRepresentation)& | Representation | ) |

## Field Documentation

StepShape_DimensionalCharacteristic StepShape_DimensionalCharacteristicRepresentation::theDimension `[private]`

Handle_StepShape_ShapeDimensionRepresentation StepShape_DimensionalCharacteristicRepresentation::theRepresentation `[private]`

The documentation for this class was generated from the following file:

- StepShape_DimensionalCharacteristicRepresentation.hxx